For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
            • GETGet Country
            • GETGet State
            • GETList Addresses
            • POSTCreate Company Address
            • GETGet Address
            • PUTUpdate Address
            • DELDelete Address
            • POSTBulk Create Addresses
            • GETList Address Extra Field Configs
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAddresses

Create Company Address

POST
https://api-b2b.bigcommerce.com/api/v3/io/addresses
POST
/api/v3/io/addresses
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/addresses \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "Marie",
> "lastName": "Curie",
> "phoneNumber": "512-200-1234",
> "zipCode": "78704",
> "addressLine1": "512 Bluebonnet Lane",
> "city": "Austin",
> "stateName": "Texas",
> "countryName": "United States",
> "stateCode": "TX",
> "countryCode": "US",
> "companyId": 364336,
> "isBilling": false,
> "isShipping": true,
> "isDefaultBilling": false,
> "isDefaultShipping": false,
> "label": "Austin Warehouse",
> "externalId": "123456",
> "extraFields": [
> {
> "fieldName": "Tax Provider Tax Code",
> "fieldValue": "G"
> }
> ],
> "addressline2": "Building 1"
>}'
1{
2 "code": 200,
3 "data": {
4 "addressId": 123456
5 },
6 "meta": {
7 "message": "SUCCESS"
8 }
9}
Creates an address for a Company account. Use [Bulk Create Addresses](#bulk-create-addresses) to create multiple addresses in a single request. ## Considerations In addition to the minimum-required fields presented in the request body example, you may need to supply a `stateName` or a `stateCode` if the address is in a [designated country](/developer/api-reference/rest/b2b/management/addresses/get-addresses-states-state-name-code). If you have set one or more address extra fields as mandatory, you must include the `extraFields` object in the request body. If an extra field is configured to accept only unique values, each `fieldValue` must be distinct for a successful request. You can create Company addresses without assigning them as billing or shipping addresses. However, Company users cannot use addresses at checkout without a billing or shipping designation.
Was this page helpful?
Previous

List Addresses

Next

Get Address

Built with

Creates an address for a Company account. Use Bulk Create Addresses to create multiple addresses in a single request.

Considerations

In addition to the minimum-required fields presented in the request body example, you may need to supply a stateName or a stateCode if the address is in a designated country.

If you have set one or more address extra fields as mandatory, you must include the extraFields object in the request body. If an extra field is configured to accept only unique values, each fieldValue must be distinct for a successful request.

You can create Company addresses without assigning them as billing or shipping addresses. However, Company users cannot use addresses at checkout without a billing or shipping designation.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
firstNamestringOptional
The first name on the address.
lastNamestringOptional
The last name on the address.
phoneNumberstringOptional
The phone number on the address.
zipCodestringOptional
The postal code on the address.
addressLine1stringOptional
The first line of the address.
addressLine2stringOptional
The second line of the address.
citystringOptional
The city on the address.
stateNamestringOptional

The full name of the state or province on the address. This must correspond to stateCode in the request if the state or province is required for the country.

countryNamestringOptional

The full name of the country on the address. Use Get a Country to retrieve valid country names.

stateCodestringOptional

The two-letter ISO code for the state or province on the address. Omit this field when adding state or province information for an unsupported country.

countryCodestringOptional

The two-letter ISO code for the country on the address. Use Get a Country to retrieve valid country codes.

companyIdintegerOptional
The unique numeric ID of the Company account.
isBillingbooleanOptional
Indicates whether the address is a billing address.
isShippingbooleanOptional
Indicates whether the address is a shipping address.
isDefaultBillingbooleanOptional
Indicates whether the address is the default billing address.
isDefaultShippingbooleanOptional
Indicates whether the address is the default shipping address.
labelstringOptional
The label used on the storefront to identify the address.
externalIdstringOptional

An external ID assigned to the address in a third-party system, such as an ERP.

extraFieldslist of objectsOptional
Enter extra field information for the address.

Response

OK
codeintegerDefaults to 200
dataobject
metaobject

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.